Skip to main content
Docs

Search guides and API endpoints, for example “Idempotency-Key” or “submit job”.

    API reference

    Public models

    On this page

    List public MPNN models (deprecated)

    GET/api/v1/public-models/mpnn

    API key or tokenDeprecated

    Example request

    curl "https://api.cognichem.com/api/v1/public-models/mpnn" \
      -H "X-Api-Key: $COGNICHEM_API_KEY"

    Responses

    Successful Response · application/json · GetMPNNModelsResponse

    Response fields
    FieldTypeDescription
    model_infoobject | null
    model_names[]string[] | null
    models[]SavedModelRef[] | null
    models.classes_by_target[]((string | integer)[])[] | null
    models.created_atstring | null
    models.model_idrequiredstring
    models.model_typerequiredstring
    models.namerequiredstring
    models.statusrequiredstring

    One of: "training", "ready", "failed"

    models.target_names[]string[] | null
    models.taskstring | null
    models.unitstring | null
    models.visibilityrequiredstring

    One of: "private", "public"

    List public models

    GET/api/v1/public-models

    API key or token

    Parameters

    Query parameters
    NameTypeDescription
    model_typestring

    Limits: pattern ^[a-z][a-z0-9_]*$

    Example request

    curl "https://api.cognichem.com/api/v1/public-models?model_type=mpnn" \
      -H "X-Api-Key: $COGNICHEM_API_KEY"

    Responses

    Successful Response · application/json · SavedModelsResponse

    Response fields
    FieldTypeDescription
    models[]requiredSavedModelRef[]
    models.classes_by_target[]((string | integer)[])[] | null
    models.created_atstring | null
    models.model_idrequiredstring
    models.model_typerequiredstring
    models.namerequiredstring
    models.statusrequiredstring

    One of: "training", "ready", "failed"

    models.target_names[]string[] | null
    models.taskstring | null
    models.unitstring | null
    models.visibilityrequiredstring

    One of: "private", "public"